org.apache.poi.openxml4j.opc

## Class PackageRelationship

- java.lang.Object
- - org.apache.poi.openxml4j.opc.PackageRelationship

-     public final class PackageRelationship
      extends java.lang.Object

  A part relationship.
  Version:
    1.0
  Author:
    Julien Chable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ID_ATTRIBUTE_NAME`
    `static java.lang.String` | `RELATIONSHIP_TAG_NAME`
    `static java.lang.String` | `RELATIONSHIPS_TAG_NAME`
    `static java.lang.String` | `TARGET_ATTRIBUTE_NAME`
    `static java.lang.String` | `TARGET_MODE_ATTRIBUTE_NAME`
    `static java.lang.String` | `TYPE_ATTRIBUTE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageRelationship(OPCPackage pkg, PackagePart sourcePart, java.net.URI targetUri, TargetMode targetMode, java.lang.String relationshipType, java.lang.String id)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `static java.net.URI` | `getContainerPartRelationship()`
    `java.lang.String` | `getId()`
    `OPCPackage` | `getPackage()`
    `java.lang.String` | `getRelationshipType()`
    `PackagePart` | `getSource()`
    `java.net.URI` | `getSourceURI()`
    `TargetMode` | `getTargetMode()`
    `java.net.URI` | `getTargetURI()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID_ATTRIBUTE_NAME

          public static final java.lang.String ID_ATTRIBUTE_NAME

      See Also:
        Constant Field Values

    - #### RELATIONSHIPS_TAG_NAME

          public static final java.lang.String RELATIONSHIPS_TAG_NAME

      See Also:
        Constant Field Values

    - #### RELATIONSHIP_TAG_NAME

          public static final java.lang.String RELATIONSHIP_TAG_NAME

      See Also:
        Constant Field Values

    - #### TARGET_ATTRIBUTE_NAME

          public static final java.lang.String TARGET_ATTRIBUTE_NAME

      See Also:
        Constant Field Values

    - #### TARGET_MODE_ATTRIBUTE_NAME

          public static final java.lang.String TARGET_MODE_ATTRIBUTE_NAME

      See Also:
        Constant Field Values

    - #### TYPE_ATTRIBUTE_NAME

          public static final java.lang.String TYPE_ATTRIBUTE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PackageRelationship

          public PackageRelationship(OPCPackage pkg,
                                     PackagePart sourcePart,
                                     java.net.URI targetUri,
                                     TargetMode targetMode,
                                     java.lang.String relationshipType,
                                     java.lang.String id)

      Constructor.
      Parameters:
        `pkg` -
        `sourcePart` -
        `targetUri` -
        `targetMode` -
        `relationshipType` -
        `id` -

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getContainerPartRelationship

          public static java.net.URI getContainerPartRelationship()

    - #### getPackage

          public OPCPackage getPackage()

      Returns:
        the container

    - #### getId

          public java.lang.String getId()

      Returns:
        the id

    - #### getRelationshipType

          public java.lang.String getRelationshipType()

      Returns:
        the relationshipType

    - #### getSource

          public PackagePart getSource()

      Returns:
        the source

    - #### getSourceURI

          public java.net.URI getSourceURI()

      Returns:
        URL of the source part of this relationship

    - #### getTargetMode

          public TargetMode getTargetMode()

      Returns:
        the targetMode

    - #### getTargetURI

          public java.net.URI getTargetURI()

      Returns:
        the targetUri

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.